Subject: Re: cygwin autoconf produces configure scripts with CR/LF
From: Makino Takaki <[email-masked]>
To: David Kilroy <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 16 Jun 2003 18:20:55 +0900

Hi Dave,

> The CR/LF might be due to the recent perl/PERLIO problems. Indeed, reading
> your cygcheck, you have perl 5.8.0-2 which exhibits this.
> 
> Try setting PERLIO=stdio
> If that doesn't work you could try reverting to an earlier version of perl.

Thank you, it works!
I was rather surprised at the fact that autoconf depends on perl...
I knew that automake is a perl script, but I didn't know that autoconf
is also dependent on perl.

Is it possible to provide some tentative solutions for cygwin distributions
of automake/autoconf packages, e.g. inserting "PERLIO=stdio; export PERLIO"
to the automake/autoconf scripts?  Because many modern editors treat CRs
transparently, it is getting more difficult and time-wasting to notice
CRs as the source of troubles.

Anyway, thank you very much for your quick help!
-- 
Makino Takaki

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/